package Otros;

import java.util.ArrayList;
import maquinaEstados.maquinaEstados;

/**
 * Clase auxiliar visualizacion
 * @author Raúl Hernansanz Quevedo
 */
public class Visualizacion {
    String tipo;
    String medida;
    String vrespuesta;
    String vCruceUno;
    String vCruceDos;
    
    /**
     * Constructor de la clase
     * @param tipo tipo de la visualizacion
     * @param medida medida a representar
     * @param vrespuesta variable respuesta 
     * @param vCruceUno primera variable de cruce
     * @param vCruceDos segunda variable de cruce
     */
    public Visualizacion(String tipo, String medida, String vrespuesta, String vCruceUno, String vCruceDos){
        this.tipo = tipo;
        this.medida = medida;
        this.vrespuesta = vrespuesta;
        this.vCruceUno = vCruceUno;
        this.vCruceDos = vCruceDos;
    }

    /**
     * Devuelve el tipo de visualizacion
     * @return tipo de visualizacion
     */
    public String getTipo(){
        return tipo;
    }
    
    /**
     * Devuelve la medida
     * @return medida 
     */
    public String getMedida(){
        return medida;
    }
    
    /**
     * Devuelve la variable respuesta
     * @return variable respuesta
     */
    public String getvrespuesta(){
        return vrespuesta;
    }
    
    /**
     * Devuelve la primera variable de cruce
     * @return primera variable de cruce
     */
    public String getvCruceUno(){
        return vCruceUno;
    }
    
    /**
     * Devuelve la segunda variable de cruce
     * @return segunda variable de cruce
     */
    public String getvCruceDos(){
        return vCruceDos;
    }

    

}
