package Otros;

import java.awt.Dimension;
import java.awt.Graphics;
import javax.swing.ImageIcon;

/**
 * Clase auxiliar de creacion de la imagen de la portada
 * @author Raúl Hernansanz Quevedo
 */
public class Imagen extends javax.swing.JPanel {

        /**
         * Constructor por defecto de la clase
         */
        public Imagen() {
            this.setSize(400, 300); //se selecciona el tamaño del panel
            }

            //Se crea un método cuyo parámetro debe ser un objeto Graphics

            public void paint(Graphics grafico) {
                Dimension height = getSize();

                //Se selecciona la imagen que tenemos en el paquete de la //ruta del programa

                ImageIcon Img = new ImageIcon(getClass().getResource("/Imagenes/escudo_uva.png")); 

                //se dibuja la imagen que tenemos en el paquete Images //dentro de un panel

                grafico.drawImage(Img.getImage(), 25, 25, height.width-50, height.height-50, null);

                setOpaque(false);
                super.paintComponent(grafico);
        }
    }
