package interfazPortada;

import Modelo.FuenteDeDatos;
import Otros.*;
import java.awt.*;
import java.io.*;
import javax.swing.*;
import maquinaEstados.maquinaEstados;

/**
 * Controlador de la vista de la portada de la aplicacion
 * @author Raúl Hernansanz Quevedo
 */
public class ControladorPortada {
    
        private VistaPortada mivista;
    
    
    /**
     * Constructor del controlador de la vista la portada de la aplicacion
     * @param mivista vista de la ventana de la portada
     */
    public ControladorPortada(VistaPortada mivista){
        this.mivista = mivista;  
    }
    
    
    /**
     * Devuelve a la vista la imagen creada
     */
    public void devuelveImagen(){
        Imagen Imagen = new Imagen();
        mivista.añadeImagen(Imagen);
    }
    
    /**
     * Le pide a la maquina de estados cambiar a la ventana principal de la aplicacion
     */
    public void comenzar(){
        maquinaEstados.interfaz();
    }
    
    
    
    
}
